Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_suppliers"{ "data": [ { "id": "string", "key": "string", "name": "string", "kind": "gift_card", "status": "active", "adapter": "fake", "config": { "property1": null, "property2": null }, "credentials_configured": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_suppliers" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "key": "giftly", "name": "Giftly gift cards", "kind": "gift_card", "adapter": "manual" }'{ "id": "string", "key": "string", "name": "string", "kind": "gift_card", "status": "active", "adapter": "fake", "config": { "property1": null, "property2": null }, "credentials_configured": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_suppliers/string"{ "id": "string", "key": "string", "name": "string", "kind": "gift_card", "status": "active", "adapter": "fake", "config": { "property1": null, "property2": null }, "credentials_configured": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/reward_suppliers/string" \ -H "Content-Type: application/json" \ -d '{ "name": "Giftly" }'{ "id": "string", "key": "string", "name": "string", "kind": "gift_card", "status": "active", "adapter": "fake", "config": { "property1": null, "property2": null }, "credentials_configured": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/reward_suppliers/string"{ "id": "string", "key": "string", "name": "string", "kind": "gift_card", "status": "active", "adapter": "fake", "config": { "property1": null, "property2": null }, "credentials_configured": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_suppliers/string/catalogue_items"{ "data": [ { "id": "string", "supplier_id": "string", "sku": "string", "brand": "string", "title": "string", "face_value_minor": 0, "face_currency": "string", "cost_minor": 0, "status": "active", "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_suppliers/string/catalogue_items" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "sku": "AMZ-25", "brand": "Amazon", "title": "Amazon gift card 25 USD", "face_value_minor": 2500, "face_currency": "USD", "cost_minor": 2375 }'{ "id": "string", "supplier_id": "string", "sku": "string", "brand": "string", "title": "string", "face_value_minor": 0, "face_currency": "string", "cost_minor": 0, "status": "active", "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthHeader Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/reward_suppliers/string/catalogue_items/string" \ -H "Content-Type: application/json" \ -d '{ "cost_minor": 2350 }'{ "id": "string", "supplier_id": "string", "sku": "string", "brand": "string", "title": "string", "face_value_minor": 0, "face_currency": "string", "cost_minor": 0, "status": "active", "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/reward_suppliers/string/catalogue_items/string"{ "id": "string", "supplier_id": "string", "sku": "string", "brand": "string", "title": "string", "face_value_minor": 0, "face_currency": "string", "cost_minor": 0, "status": "active", "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 20050length <= 2048Value in
- "true"
- "false"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_suppliers/string/links"{ "data": [ { "id": "string", "supplier_id": "string", "catalogue_item_id": "string", "offer_version_id": "string", "reward_id": "string", "funding": { "funded_percent": 0 }, "effective_from": "2019-08-24T14:15:22Z", "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_suppliers/string/links" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "catalogue_item_id": "sci_00000000000000000000000000000042", "offer_version_id": "rov_00000000000000000000000000000042", "funding": { "funded_percent": 50 } }'{ "id": "string", "supplier_id": "string", "catalogue_item_id": "string", "offer_version_id": "string", "reward_id": "string", "funding": { "funded_percent": 0 }, "effective_from": "2019-08-24T14:15:22Z", "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 20050length <= 2048Value in
- "pending"
- "fulfilled"
- "failed"
- "cancelled"
- "fulfilled_after_cancel"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_suppliers/string/orders"{ "data": [ { "id": "string", "redemption_id": "string", "supplier_id": "string", "catalogue_item_id": "string", "link_id": "string", "external_order_id": "string", "status": "pending", "sku": "string", "face_value_minor": 0, "face_currency": "string", "cost_minor": 0, "partner_funded_minor": 0, "merchant_funded_minor": 0, "funding": { "funded_percent": 0 }, "evidence_digest": "string", "code_stored": true, "failure_reason": "string", "attempts": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "fulfilled_at": "2019-08-24T14:15:22Z", "failed_at": "2019-08-24T14:15:22Z", "cancelled_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_suppliers/string/reconciliation"{ "data": [ { "id": "string", "redemption_id": "string", "supplier_id": "string", "catalogue_item_id": "string", "link_id": "string", "external_order_id": "string", "status": "pending", "sku": "string", "face_value_minor": 0, "face_currency": "string", "cost_minor": 0, "partner_funded_minor": 0, "merchant_funded_minor": 0, "funding": { "funded_percent": 0 }, "evidence_digest": "string", "code_stored": true, "failure_reason": "string", "attempts": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "fulfilled_at": "2019-08-24T14:15:22Z", "failed_at": "2019-08-24T14:15:22Z", "cancelled_at": "2019-08-24T14:15:22Z", "attention": "fulfilled_after_cancel" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_suppliers/string/orders/string/reconcile" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "outcome": "fulfilled" }'{ "order": { "id": "string", "redemption_id": "string", "supplier_id": "string", "catalogue_item_id": "string", "link_id": "string", "external_order_id": "string", "status": "pending", "sku": "string", "face_value_minor": 0, "face_currency": "string", "cost_minor": 0, "partner_funded_minor": 0, "merchant_funded_minor": 0, "funding": { "funded_percent": 0 }, "evidence_digest": "string", "code_stored": true, "failure_reason": "string", "attempts": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "fulfilled_at": "2019-08-24T14:15:22Z", "failed_at": "2019-08-24T14:15:22Z", "cancelled_at": "2019-08-24T14:15:22Z" }, "fulfillment_status": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$date-time^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$date-time"json"Value in
- "json"
- "csv"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_suppliers/string/settlement?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z"{ "supplier_id": "string", "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "items": [ { "catalogue_item_id": "string", "sku": "string", "brand": "string", "title": "string", "currency": "string", "orders_fulfilled": 0, "orders_cancelled": 0, "face_value_minor": "string", "cost_minor": "string", "partner_funded_minor": "string", "merchant_funded_minor": "string" } ], "totals": [ { "currency": "string", "orders_fulfilled": 0, "orders_cancelled": 0, "face_value_minor": "string", "cost_minor": "string", "partner_funded_minor": "string", "merchant_funded_minor": "string" } ], "adjustments": [ { "order_id": "string", "redemption_id": "string", "catalogue_item_id": "string", "sku": "string", "currency": "string", "reason": "redemption_cancelled_after_fulfilment", "face_value_minor": "string", "cost_minor": "string", "partner_funded_minor": "string", "merchant_funded_minor": "string", "fulfilled_at": "2019-08-24T14:15:22Z", "adjusted_at": "2019-08-24T14:15:22Z" } ], "csv": "string"}